function [Gamma,GammaC] = UpdateSupportSplit(u,frame,Level,wLevel,rho)
[D,~]=GenerateFrameletFilter(frame);nD=length(D);
W  = @(x) FraDecMultiLevel(x,D,Level); % Frame decomposition
muLevel = getwThresh(1,wLevel,Level,D);
Coeff = W(u);

for ki=1:Level
    vec=zeros(size(u));
    for ji=1:nD-1
        for jj=1:nD-1
            vec=vec+muLevel{ki}{ji,jj}.*Coeff{ki}{ji,jj}.^2;
        end
    end
    vec = sqrt(vec);
%     if ki == 1
%         Gamma{ki} = double(vec>max(max(abs(u)))*rho);
%     else
%         Gamma{ki} = double(vec>max(max(abs(Coeff{ki-1}{1,1})))*rho);
%     end
    Gamma{ki} = double(vec./max(max(vec))>rho);
    GammaC{ki} = 1 - Gamma{ki};
end